<?php
/*********************************************************************************************

WP_Hooks - Enqueue Javascripts

*********************************************************************************************/
function site5framework_header_init() {
    if (!is_admin()) {

    wp_enqueue_script( 'jquery' );

	wp_enqueue_script('custom', get_template_directory_uri() .'/js/custom.js');
	wp_enqueue_script('mosaic', get_template_directory_uri() .'/js/mosaic.1.0.1.js');
	wp_enqueue_script('superfish', get_template_directory_uri() .'/js/superfish.js');
	wp_enqueue_script('buttonsjs', get_template_directory_uri().'/lib/shortcodes/js/buttons.js');
	wp_enqueue_script('tweets', get_template_directory_uri() .'/js/jquery.tweet.js');

	wp_enqueue_style('mosaic', get_template_directory_uri().'/css/mosaic.css');
	wp_enqueue_style('boxes', get_template_directory_uri().'/lib/shortcodes/css/boxes.css');
	wp_enqueue_style('lists', get_template_directory_uri().'/lib/shortcodes/css/lists.css');
	wp_enqueue_style('social', get_template_directory_uri().'/lib/shortcodes/css/social.css');
	wp_enqueue_style('slider', get_template_directory_uri().'/lib/shortcodes/css/slider.css');
	wp_enqueue_style('viewers', get_template_directory_uri().'/lib/shortcodes/css/viewers.css');
	wp_enqueue_style('tabs', get_template_directory_uri().'/lib/shortcodes/css/tabs.css');
	wp_enqueue_style('toggles', get_template_directory_uri().'/lib/shortcodes/css/toggles.css');
	wp_enqueue_style('buttons', get_template_directory_uri().'/lib/shortcodes/css/buttons.css');
	wp_enqueue_style('columns', get_template_directory_uri().'/lib/shortcodes/css/columns.css');

}
}
add_action('init', 'site5framework_header_init');


/*********************************************************************************************

Admin Hooks / Portfolio and Slider Media Uploader

*********************************************************************************************/
function site5framework_mediauploader_init() {
    if (is_admin()) {
    wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
	wp_enqueue_style('thickbox');
	wp_enqueue_script('site5mediauploader', get_template_directory_uri().'/admin/js/site5mediauploader.js', array('jquery'));
}
}
add_action('init', 'site5framework_mediauploader_init');


/*********************************************************************************************

Favicon

*********************************************************************************************/
function site5framework_custom_shortcut_favicon() {
	if (of_get_option('prosume_custom_shortcut_favicon') != '') {
    echo '<link rel="shortcut icon" href="'. of_get_option('prosume_custom_shortcut_favicon') .'" type="image/ico" />'."\n";
	}
	else { ?><link rel="shortcut icon" href="<?php echo get_stylesheet_directory_uri() ?>/favicon.ico" type="image/ico" />
	<?php }
}
add_action('wp_head', 'site5framework_custom_shortcut_favicon');

/*********************************************************************************************

Contact Form JS

*********************************************************************************************/
function site5framework_contactform_init() {
	if (is_page_template('page-temp-contact.php') && !is_admin()) {
    wp_enqueue_script('contactform', get_template_directory_uri().'/lib/contactform/contactform.js');
    }
}
add_action('template_redirect', 'site5framework_contactform_init');

/*********************************************************************************************

Stats

*********************************************************************************************/
function site5framework_analytics(){
	$output = of_get_option('prosume_stats');
	if ( $output <> "" )
	echo stripslashes($output) . "\n";
}
add_action('wp_footer','site5framework_analytics');
?>