<?php
/*
Template Name: Contact
*/
if(isset($_POST['submitted'])) {
		//Check to make sure that the name field is not empty
		if(trim($_POST['contactName']) === '') {
			$nameError = __("فراموش کردید نام خود را وارد کنید.", "site5framework");
			$hasError = true;
		} else {
			$name = trim($_POST['contactName']);
		}

		//Check to make sure sure that a valid email address is submitted
		if(trim($_POST['email']) === '')  {
			$emailError = __("فراموش کردید آدرس ایمیل خود را وارد کنید.", "site5framework");
			$hasError = true;
		} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
			$emailError = __("You entered an invalid email address.", "site5framework");
			$hasError = true;
		} else {
			$email = trim($_POST['email']);
		}

		//Check to make sure comments were entered
		if(trim($_POST['comments']) === '') {
			$commentError = __("فراموش کردید دیدگاه خود را وارد کنید.", "site5framework");
			$hasError = true;
		} else {
			if(function_exists('stripslashes')) {
				$comments = stripslashes(trim($_POST['comments']));
			} else {
				$comments = trim($_POST['comments']);
			}
		}

		//If there is no error, send the email
		if(!isset($hasError)) {
			$msg .= "------------اطلاعات کاربر------------ \r\n"; //Title
			$msg .= "آی‌پی کاربر : ".$_SERVER["REMOTE_ADDR"]."\r\n"; //Sender's IP
			$msg .= "اطلاعات مرورگر : ".$_SERVER["HTTP_USER_AGENT"]."\r\n"; //User agent
			$msg .= "مکان کاربر : ".$_SERVER["HTTP_REFERER"]; //Referrer
			
			$emailTo = ''.of_get_option('prosume_contact_email').'';
			$subject = 'فرم تماس '.$name;
			$body = "نام: $name \n\nایمیل: $email \n\nپیام: $comments \n\n $msg";
			$headers = 'From: '.get_bloginfo('name').' <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $email;

			if(mail($emailTo, $subject, $body, $headers)) $emailSent = true;

	}
	 
}
get_header(); 
?>
	<?php if(of_get_option('prosume_tagline') == '1') { ?>
			<!-- tagline -->
			<section class="tagline">
				<?php bloginfo('description'); ?>
			</section>
			<!-- tagline -->
	<?php } ?>
		<section class="main">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<h1><?php the_title(); ?></h1>
			<p><?php echo stripslashes(stripslashes(of_get_option('prosume_contact_text')))?></p>
			<?php endwhile; endif;?>
			
			<?php if(of_get_option('prosume_contact_map')!=''){?>			
				<div id="contact-map">
					<?php echo of_get_option('prosume_contact_map') ?>
				</div>
			<?php }?>
						
			<p class="error" <?php if($hasError != '') echo 'style="display:block;"'; ?>><?php _e('خطایی در ارسال فرم رخ داده است.', 'site5framework'); ?></p>
		
			<p class="thanks"><?php _e('<strong>سپاسگزاریم!</strong> ایمیل شما با موفقیت فرستاده شد. به زودی با شما تماس خواهیم گرفت.', 'site5framework'); ?></p>
			
			<form id="contactForm" method="POST">
			<label for="nameinput"><?php _e("نام شما", "site5framework"); ?> *</label>
				<input type="text" id="nameinput" name="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>" class="requiredField"/>
				<span class="error" <?php if($nameError != '') echo 'style="display:block;"'; ?>><?php _e("فراموش کردید نام خود را وارد کنید.", "site5framework");?></span>
			<label for="emailinput"><?php _e("ایمیل شما", "site5framework"); ?>*</label>			
				<input type="text" id="emailinput" name="email" value="<?php if(isset($_POST['email']))  echo $_POST['email'];?>" class="requiredField email"/>
				  <span class="error" <?php if($emailError != '') echo 'style="display:block;"'; ?>><?php _e("فراموش کردید آدرس ایمیل خود را وارد کنید.", "site5framework");?></span>
			<label for="commentinput"><?php _e("پیام شما", "site5framework"); ?>*</label>
				<textarea cols="20" rows="7" id="commentinput" name="comments" class="requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?></textarea>
				  <span class="error" <?php if($commentError != '') echo 'style="display:block;"'; ?>><?php _e("فراموش کردید دیدگاه خود را وارد کنید.", "site5framework");?></span>
			<br />
			<input type="hidden" name="submitted" id="submitted" value="true" />
			<button type="submit" id="submitbutton" class="submitbutton"><?php _e('ارسال پیام', 'site5framework'); ?></button>
			</form>
		</section>
<?php get_sidebar(); ?>
<div class="clear"></div>
<?php get_footer(); ?>


